<template>
    <div>
        <div id="final-score"> 
            <p> FINAL SCORE: {{ score }} / {{questions.length*10}}</p> 
        </div>
        <div id="results" v-for="(q, i) in questions" v-bind:key="i">
            <p>{{ q.question }}</p>
            <p><b>Given answer: {{ userAnswers[i] }}</b><br>
            <i>Correct answer: {{ q.correct_answer }}</i></p>
        </div>
    </div>
</template>

<script>
export default {
    name: 'QuizResults',
    props: {
        questions: {
            required: false
        },
        score: {
            required: false
        },
        userAnswers: {
            required: false
        }
    }
}
</script>

<style scoped>
#final-score {
    font-size: 30px;
}
#results {
    font-size: 20px;
    outline:2px dotted rgb(39, 26, 15);
}

p {
    color: rgb(39, 26, 15);
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

</style>